<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://uabpp4.com/xbrl/2023/roles/StatementOfFinancialPosition" xlink:href="UABPP4-2023-12-31.xsd#StatementOfFinancialPosition" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://uabpp4.com/xbrl/2023/roles/ProfitOrLoss" xlink:href="UABPP4-2023-12-31.xsd#ProfitOrLoss" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://uabpp4.com/xbrl/2023/roles/StatementOfChangesInEquity" xlink:href="UABPP4-2023-12-31.xsd#StatementOfChangesInEquity" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://uabpp4.com/xbrl/2023/roles/StatementOfCashFlows" xlink:href="UABPP4-2023-12-31.xsd#StatementOfCashFlows" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://uabpp4.com/xbrl/2023/roles/NotesAndMandatoryItems" xlink:href="UABPP4-2023-12-31.xsd#NotesAndMandatoryItems" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <presentationLink xlink:role="http://uabpp4.com/xbrl/2023/roles/StatementOfFinancialPosition" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatementOfFinancialPositionAbstract" xlink:label="ifrs-full_StatementOfFinancialPositionAbstract" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentContractAssets" xlink:label="ifrs-full_NoncurrentContractAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:label="ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLoansAndReceivables" xlink:label="ifrs-full_NoncurrentLoansAndReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentPrepayments" xlink:label="ifrs-full_CurrentPrepayments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherFinancialAssets" xlink:label="ifrs-full_OtherFinancialAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatutoryReserve" xlink:label="ifrs-full_StatutoryReserve" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentPayables" xlink:label="ifrs-full_NoncurrentPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:label="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentNonfinancialLiabilities" xlink:label="ifrs-full_OtherCurrentNonfinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentPayables" xlink:label="ifrs-full_OtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentFinancialLiabilities" xlink:label="ifrs-full_OtherCurrentFinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_PropertyPlantAndEquipment" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_NoncurrentContractAssets" order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_NoncurrentLoansAndReceivables" order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_DeferredTaxAssets" order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_NoncurrentAssets" order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_CurrentPrepayments" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_OtherFinancialAssets" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_TradeAndOtherCurrentReceivables" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_CashAndCashEquivalents" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_CurrentAssets" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_Assets" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_IssuedCapital" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_StatutoryReserve" order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_RetainedEarnings" order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_Equity" order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_NoncurrentPayables" order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_DeferredTaxLiabilities" order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_NoncurrentLiabilities" order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_OtherCurrentNonfinancialLiabilities" order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_OtherCurrentPayables" order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_CurrentTaxLiabilitiesCurrent" order="23" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_OtherCurrentFinancialLiabilities" order="24" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_CurrentLiabilities" order="25" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_Liabilities" order="26" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="ifrs-full_EquityAndLiabilities" order="27" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
  </presentationLink>
  <presentationLink xlink:role="http://uabpp4.com/xbrl/2023/roles/ProfitOrLoss" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeStatementAbstract" xlink:label="ifrs-full_IncomeStatementAbstract" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:label="ifrs-full_Revenue" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CostOfSales" xlink:label="ifrs-full_CostOfSales" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GeneralAndAdministrativeExpense" xlink:label="ifrs-full_GeneralAndAdministrativeExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_Revenue" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_CostOfSales" order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_GrossProfit" order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_GeneralAndAdministrativeExpense" order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_FinanceIncome" order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_FinanceCosts" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_ProfitLossBeforeTax" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_ProfitLoss" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="ifrs-full_ComprehensiveIncome" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
  </presentationLink>
  <presentationLink xlink:role="http://uabpp4.com/xbrl/2023/roles/StatementOfChangesInEquity" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatementOfChangesInEquityAbstract" xlink:label="ifrs-full_StatementOfChangesInEquityAbstract" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatementOfChangesInEquityTable" xlink:label="ifrs-full_StatementOfChangesInEquityTable" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComponentsOfEquityAxis" xlink:label="ifrs-full_ComponentsOfEquityAxis" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityMember" xlink:label="ifrs-full_EquityMember" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapitalMember" xlink:label="ifrs-full_IssuedCapitalMember" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarningsMember" xlink:label="ifrs-full_RetainedEarningsMember" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatutoryReserveMember" xlink:label="ifrs-full_StatutoryReserveMember" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatementOfChangesInEquityLineItems" xlink:label="ifrs-full_StatementOfChangesInEquityLineItems" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssueOfEquity" xlink:label="ifrs-full_IssueOfEquity" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityAbstract" xlink:to="ifrs-full_StatementOfChangesInEquityTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityTable" xlink:to="ifrs-full_ComponentsOfEquityAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_ComponentsOfEquityAxis" xlink:to="ifrs-full_EquityMember" order="0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_IssuedCapitalMember" order="0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_RetainedEarningsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_StatutoryReserveMember" order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityAbstract" xlink:to="ifrs-full_StatementOfChangesInEquityLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_Equity" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_ProfitLoss" order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_IssueOfEquity" order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
  </presentationLink>
  <presentationLink xlink:role="http://uabpp4.com/xbrl/2023/roles/StatementOfCashFlows" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatementOfCashFlowsAbstract" xlink:label="ifrs-full_StatementOfCashFlowsAbstract" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForFinanceCosts" xlink:label="ifrs-full_AdjustmentsForFinanceCosts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:label="ifrs-full_OtherAdjustmentsForNoncashItems" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInContractAssets" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInContractAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInPrepaidExpenses" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInPrepaidExpenses" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfInterestsInAssociates" xlink:label="ifrs-full_PurchaseOfInterestsInAssociates" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:label="ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" xlink:label="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:label="ifrs-full_ProceedsFromIssuingShares" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_ProfitLossBeforeTax" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_AdjustmentsForFinanceCosts" order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_OtherAdjustmentsForNoncashItems" order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInContractAssets" order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInPrepaidExpenses" order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_PurchaseOfInterestsInAssociates" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_ProceedsFromIssuingShares" order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_InterestPaidClassifiedAsFinancingActivities" order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="ifrs-full_CashAndCashEquivalents" order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
  </presentationLink>
  <presentationLink xlink:role="http://uabpp4.com/xbrl/2023/roles/NotesAndMandatoryItems" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd#esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:label="esef_cor_NotesAccountingPoliciesAndMandatoryTags" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" xlink:label="ifrs-full_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" xlink:label="ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LegalFormOfEntity" xlink:label="ifrs-full_LegalFormOfEntity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AddressOfRegisteredOfficeOfEntity" xlink:label="ifrs-full_AddressOfRegisteredOfficeOfEntity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DomicileOfEntity" xlink:label="ifrs-full_DomicileOfEntity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CountryOfIncorporation" xlink:label="ifrs-full_CountryOfIncorporation" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" xlink:label="ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NameOfParentEntity" xlink:label="ifrs-full_NameOfParentEntity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfInformationAboutEmployeesExplanatory" xlink:label="ifrs-full_DisclosureOfInformationAboutEmployeesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfMaterialAccountingPolicyInformationExplanatory" xlink:label="ifrs-full_DisclosureOfMaterialAccountingPolicyInformationExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" xlink:label="ifrs-full_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_StatementOfIFRSCompliance" xlink:label="ifrs-full_StatementOfIFRSCompliance" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfBasisOfConsolidationExplanatory" xlink:label="ifrs-full_DisclosureOfBasisOfConsolidationExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfOtherAccountingPoliciesRelevantToUnderstandingOfFinancialStatements" xlink:label="ifrs-full_DescriptionOfOtherAccountingPoliciesRelevantToUnderstandingOfFinancialStatements" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFinancialAssetsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForFinancialAssetsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForOffsettingOfFinancialInstrumentsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForOffsettingOfFinancialInstrumentsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForMeasuringInventories" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForMeasuringInventories" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForLeasesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForLeasesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForProvisionsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForProvisionsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForRecognitionOfRevenue" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForRecognitionOfRevenue" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForExpensesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForExpensesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" xlink:label="ifrs-full_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForContingentLiabilitiesAndContingentAssetsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForContingentLiabilitiesAndContingentAssetsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfEventsAfterReportingPeriodExplanatory" xlink:label="ifrs-full_DisclosureOfEventsAfterReportingPeriodExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfFinancialRiskManagementExplanatory" xlink:label="ifrs-full_DisclosureOfFinancialRiskManagementExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfCreditRiskExplanatory" xlink:label="ifrs-full_DisclosureOfCreditRiskExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfMarketRiskExplanatory" xlink:label="ifrs-full_DisclosureOfMarketRiskExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfLiquidityRiskExplanatory" xlink:label="ifrs-full_DisclosureOfLiquidityRiskExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory" xlink:label="ifrs-full_DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfFairValueOfFinancialInstrumentsExplanatory" xlink:label="ifrs-full_DisclosureOfFairValueOfFinancialInstrumentsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfOtherAssetsExplanatory" xlink:label="ifrs-full_DisclosureOfOtherAssetsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfOtherCurrentAssetsExplanatory" xlink:label="ifrs-full_DisclosureOfOtherCurrentAssetsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" xlink:label="ifrs-full_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfPrepaymentsAndOtherAssetsExplanatory" xlink:label="ifrs-full_DisclosureOfPrepaymentsAndOtherAssetsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfTradeAndOtherReceivablesExplanatory" xlink:label="ifrs-full_DisclosureOfTradeAndOtherReceivablesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfCashAndCashEquivalentsExplanatory" xlink:label="ifrs-full_DisclosureOfCashAndCashEquivalentsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory" xlink:label="ifrs-full_DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfReservesAndOtherEquityInterestExplanatory" xlink:label="ifrs-full_DisclosureOfReservesAndOtherEquityInterestExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfBorrowingsExplanatory" xlink:label="ifrs-full_DisclosureOfBorrowingsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfTradeAndOtherPayablesExplanatory" xlink:label="ifrs-full_DisclosureOfTradeAndOtherPayablesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfBorrowingCostsExplanatory" xlink:label="ifrs-full_DisclosureOfBorrowingCostsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfIncomeTaxExplanatory" xlink:label="ifrs-full_DisclosureOfIncomeTaxExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfDeferredTaxesExplanatory" xlink:label="ifrs-full_DisclosureOfDeferredTaxesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfRevenueExplanatory" xlink:label="ifrs-full_DisclosureOfRevenueExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfExpensesExplanatory" xlink:label="ifrs-full_DisclosureOfExpensesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfCostOfSalesExplanatory" xlink:label="ifrs-full_DisclosureOfCostOfSalesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" xlink:label="ifrs-full_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfEmployeeBenefitsExplanatory" xlink:label="ifrs-full_DisclosureOfEmployeeBenefitsExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfFinanceIncomeExpenseExplanatory" xlink:label="ifrs-full_DisclosureOfFinanceIncomeExpenseExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfFinanceCostExplanatory" xlink:label="ifrs-full_DisclosureOfFinanceCostExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfInterestExpenseExplanatory" xlink:label="ifrs-full_DisclosureOfInterestExpenseExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfInformationAboutKeyManagementPersonnelExplanatory" xlink:label="ifrs-full_DisclosureOfInformationAboutKeyManagementPersonnelExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfRelatedPartyExplanatory" xlink:label="ifrs-full_DisclosureOfRelatedPartyExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForTransactionsWithRelatedPartiesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForTransactionsWithRelatedPartiesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfContingentLiabilitiesExplanatory" xlink:label="ifrs-full_DisclosureOfContingentLiabilitiesExplanatory" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" xlink:label="ifrs-full_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_LegalFormOfEntity" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_AddressOfRegisteredOfficeOfEntity" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DomicileOfEntity" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_CountryOfIncorporation" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_NameOfParentEntity" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfInformationAboutEmployeesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfMaterialAccountingPolicyInformationExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_StatementOfIFRSCompliance" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfBasisOfConsolidationExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfOtherAccountingPoliciesRelevantToUnderstandingOfFinancialStatements" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForFinancialAssetsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForOffsettingOfFinancialInstrumentsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForMeasuringInventories" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForLeasesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForProvisionsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForRecognitionOfRevenue" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForExpensesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForContingentLiabilitiesAndContingentAssetsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfEventsAfterReportingPeriodExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfFinancialRiskManagementExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfCreditRiskExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfMarketRiskExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfLiquidityRiskExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfFairValueOfFinancialInstrumentsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfOtherAssetsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfOtherCurrentAssetsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfPrepaymentsAndOtherAssetsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfTradeAndOtherReceivablesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfCashAndCashEquivalentsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfReservesAndOtherEquityInterestExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfBorrowingsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfTradeAndOtherPayablesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfBorrowingCostsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfIncomeTaxExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfDeferredTaxesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfRevenueExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfExpensesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfCostOfSalesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfEmployeeBenefitsExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfFinanceIncomeExpenseExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfFinanceCostExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfInterestExpenseExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfInformationAboutKeyManagementPersonnelExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfRelatedPartyExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForTransactionsWithRelatedPartiesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfContingentLiabilitiesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
    <presentationArc xlink:type="arc" xlink:from="esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:to="ifrs-full_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" priority="1" />
  </presentationLink>
</linkbase>